﻿@model ResetPasswordViewModel
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
    ViewBag.Title = "Reset Password";
}


<main id="mainContainer">

    <!--Forget Password Box-->
    <section id="resetPassBox">

        @using (Html.BeginForm("ResetPassword", "Account", FormMethod.Post, new { @class = "form-items" }))
        {
            @Html.HiddenFor(x => x.ReturnUrl)
            @Html.AntiForgeryToken()
            @Html.ValidationSummary(true)
            <p class="txt-portal">
                @Model.UserFullName, choose your new password.
            </p>
            <div class="form-group">
                <span class="input-icon jbi-lock"></span>
                @Html.PasswordFor(model => model.Password, new { @class = "form-control jb-icon-input", @placeholder = "Password", data_placeholder = "Password" })
                @Html.ValidationMessageFor(model => model.Password)
            </div>
            <div class="form-group">
                <span class="input-icon jbi-lock"></span>
                @Html.PasswordFor(model => model.ConfirmPassword, new { @class = "form-control jb-icon-input", @placeholder = "Confirm password", data_placeholder = "Confirm password" })
                @Html.ValidationMessageFor(model => model.ConfirmPassword)
            </div>
            <button id="recover" class="btn btn-jb jb-lg-btn" type="submit" data-loading-text="Submitting...">Reset password</button>
            @Html.HiddenFor(model => model.Email)
            @Html.HiddenFor(model => model.Token)
        }


    </section>

</main>

@section Styles{
    <link href="~/Content/Student/Home/LoginSignup.css" rel="stylesheet" />
}

@section Scripts{

    <script src="~/Scripts/Libraries/jQuery/jquery.validate.min.js"></script>
    <script src="/Scripts/Student/LoginSignup.js"></script>
    <script src="~/Scripts/Libraries/jQuery/jquery.validate.unobtrusive.min.js"></script>
    <script src="~/Scripts/Libraries/jQuery/jquery.unobtrusive-ajax.min.js"></script>
}